By Marc Doss 811677
#524020 I get the following error when VRC first loads up.
Image

I have disabled the firewall and still get the same error message.

I can connect to the USA-E2 server, but the Sweatbox server is not listed, so I don't think it is working right. And yes, I created the myservers.txt file and put it in the root VRC folder. Using Windows 10.

Any ideas?
By Don Desfosse 1035677
#524021 Yes, something is messed up and has been for a while -- no one seems to be able to get the servers list to open anymore.

Replace the contents of your servers.txt file with the following:

Code: Select all######################################################################
# THIS FILE IS AUTOMATICALLY GENERATED BY VRC. DO NOT EDIT THIS FILE!
######################################################################
180.200.247.40 AUSTRALIA
69.42.61.44 CANADA
212.67.73.150 CZECH
138.201.76.151 GERMANY
212.227.11.18 GERMANY2
139.59.2.4 INDIA
94.73.241.65 RUSSIA-C
84.52.109.230 RUSSIA-W
128.199.91.34 SINGAPORE
176.124.148.55 SWEDEN
185.93.245.200 UAE
178.79.154.95 UK1
178.62.97.26 UK2
69.42.49.158 USA-S
97.107.135.245 USA-E
50.116.3.203 USA-W


Not sure why your sweatbox server isn't showing up.
Last edited by Don Desfosse 1035677 on Sun Sep 02, 2018 2:22 pm, edited 1 time in total.
By Ross Carlson 887155
#524059 I'm thinking something got messed up with the Windows 10 spring update. VRC can't download servers or do its version check. I'll be looking into it.
By Ross Carlson 887155
#524070 This version should resolve it ... please give it a try:

http://www1.metacraft.com/VRC/files/VRCSetup1.2.5.exe

In case anyone is curious as to the problem, the HTTP client code that was built into VRC since the beginning (provided to me by the author of Squawkbox) was using a newline character to terminate HTTP header lines, and I changed it to carriage return plus line feed, per the HTTP spec, and now it works.
By Ross Carlson 887155
#524175 I just released 1.2.5 officially. Those of you that have downloaded it already will need to re-download it from the web site, since the version you have "thinks" it's version 1.2.4, so it'll keep telling you there is a newer version until you download the actual v1.2.5 installer that I just put up:

http://www1.metacraft.com/VRC/files/VRCSetup1.2.5.exe
By Ross Carlson 887155
#524181 Looks like 1.2.5 introduced a bug with choppy voice. (Which is odd because nothing changed with the voice code.)

Is anyone running 1.2.5 and voice is working fine?
By Ross Carlson 887155
#524485 There is no workaround for the HTTP error ... you can just ignore it. The error just means that the server list download is failing, so if you use a current server list, that's not a problem. If you download the latest 1.2.4 installer which I put up on the site a couple days ago, it will install a current server list.